:: PlayerAdvance.org ::  

Pr嶰嶮ent   :: PlayerAdvance.org :: > :: Forums H嶵erg廥 :: > 無ibrary

無ibrary Official 無ibrary forum (English / Fran蓷is)

Publicit

R廧onse
 
Outils de la discussion Modes d'affichage
Vieux 24/12/2009, 16h28   #1
Le Rodeur
Membre confirm
 
Date d'inscription: 21/10/2007
Messages: 225
Par d嶨aut Probleme de compil, premiere installation

Salut,
je viens de reinstaller (non sans difficult廥) palib et devkitpro avec ces versions :
devkitarm 26 + libnds 1.3.7 +palib 090801

J'ai ensuite installer la derniere version de la ulibrary mais lorsque je tente de compiler le premier exemple le compilo me sort 蓷 :
Code PHP:
D:\devkitpro\uLibrary-1.12\Examples\Example01>make
linking Example01
.elf
m
:/devkitPro/libnds/lib\libul.a(drawing.o): In function `glInit':
c:/devkitPro/libnds/include/nds/arm9/videoGL.h:1089: undefined reference to 
`glG
etGlobals
'
c:/devkitPro/libnds/include/nds/arm9/videoGL.h:1090: undefined reference to `glI
nit_C'
collect2ld returned 1 exit status
make
[1]: *** [/d/devkitpro/uLibrary-1.12/Examples/Example01/Example01.elfError
 1
make
: *** [buildError 2

D
:\devkitpro\uLibrary-1.12\Examples\Example01>pause
Appuyez sur une touche pour continuer
... 
Une id嶪? besoin de faire une maj ou autre? d'apres ce que je vois 蓷 vient de la libnds mais je peux me tromper :s
Merci d'avance
__________________

NDS LITE - M3 Ds Simply - PaLib
Le Rodeur est d嶰onnect   R廧onse avec citation

Publicit

Vieux 01/01/2010, 15h46   #2
Le Rodeur
Membre confirm
 
Date d'inscription: 21/10/2007
Messages: 225
Par d嶨aut

up?
__________________

NDS LITE - M3 Ds Simply - PaLib
Le Rodeur est d嶰onnect   R廧onse avec citation
Vieux 01/01/2010, 16h49   #3
Copper
Membre
 
Date d'inscription: 21/12/2008
Messages: 45
Par d嶨aut

down ?

La 無ib 1.12 est compatible R26 / libnds 1.3.7 (elle semble m瘱e compatible R27 / libnds 1.4.0)

A mon avis tu as foutu le bordel en installant la PALib...

Tu pourrais essayer de r嶯nstaller le devkit pro R26 / libnds 1.3.7, installer la 無ib (v廨ifier que ca marche ca devrait), sauvegarder le r廧ertoire devkitpro et enfin installer la PAlib en dernier (comme ca si ca marche plus tu peux reprendre la sauvegarde)
Copper est d嶰onnect   R廧onse avec citation
Vieux 03/01/2010, 11h52   #4
Le Rodeur
Membre confirm
 
Date d'inscription: 21/10/2007
Messages: 225
Par d嶨aut

ok merci, parce que j'avais beau chercher, pas moyen de trouver avec quelle versions elle 彋ait compatible... et comme le forum est a moiti mort en ce moment
__________________

NDS LITE - M3 Ds Simply - PaLib
Le Rodeur est d嶰onnect   R廧onse avec citation
R廧onse

Liens sociaux

Publicit



Utilisateurs regardant la discussion actuelle : 1 (0 membre(s) et 1 invit(s))
 
Outils de la discussion
Modes d'affichage

R銶les de messages
Vous ne pouvez pas cr嶪r de nouvelles discussions
Vous ne pouvez pas envoyer des r廧onses
Vous ne pouvez pas envoyer des pi鋃es jointes
Vous ne pouvez pas modifier vos messages

Les balises BB sont activ嶪s : oui
Les smileys sont activ廥 : oui
La balise [IMG] est activ嶪 : oui
Le code HTML peut 皻re employ : non
Navigation rapide

Discussions similaires
Discussion Auteur Forum R廧onses Dernier message
NDS Installation de la PAlib + devkitPro et compilation, sans probl鋗e! @NOTIZ@ Tutoriels 55 11/03/2013 23h58
NDS Probl鋗e installation DevkitPro Happy Aide au d憝eloppement 10 20/10/2009 20h27
PSP Probl鋗e: installation PSPtoolchain Windstream Aide au d憝eloppement 9 21/03/2009 11h09
NDS Probleme avec installation de la Palib SpixShadow Aide au d憝eloppement 8 01/09/2008 00h18


Fuseau horaire GMT +2. Il est actuellement 11h44.


丼it par : vBulletin® version 3.7.2
Copyright ©2000 - 2019, Jelsoft Enterprises Ltd. Tous droits r廥erv廥.
Version fran蓷ise #16 par l'association vBulletin francophone
Design par Ass-Itch, DJP et Dr.Vince